/*
	File:		MegaPane.h

	Contains:	Base class for panes in our MegaDialog example.

	Version:	Appearance 1.0 SDK

	Copyright:	© 1997 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				Edward Voas

		Other Contact:		7 of 9, Borg Collective

		Technology:			OS Technologies Group

	Writers:

		(edv)	Ed Voas

	Change History (most recent first):

		 <1>	 9/11/97	edv		First checked in.
*/

#pragma once

#include <Dialogs.h>

class MegaPane
{
	public:
			MegaPane( DialogPtr dialog, SInt16 origItems );
		virtual ~MegaPane();
		
		virtual void	ItemHit( SInt16 item );
		virtual void	Idle();
	
	protected:
		DialogPtr		fDialog;
		SInt16			fOrigItems;
};
